/*

    GDS7 v0.1 interactive digital image transfer software for DS-7 camera
    Copyright (C) 1998 Matthew G. Martin

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


*/
#include "ds7lib.h"
#include "gds7.h"

extern char* camdev;

/***********************************************************************

  Block Operations: multiple picturex

***********************************************************************/
void getthumbs(GtkWidget *widget, gpointer *data);
/* 
   Save all selected pictures, or all if none are selected
*/
void allsave(GtkWidget *widget, gpointer *data);

void deselect (GtkWidget *widget, gpointer *data);

/***********************************************************************

Single Picture Operations

 ***********************************************************************/


/* Download the picture to a temp file and call the previewer */
void preview(GtkWidget *widget, gpointer data);

/*  Get a thumbnail from the camera and place it in the imagelist*/
void thumbtrans(int i);


/***********************************************************************

  Camera Operations

 ***********************************************************************/

/*  Open the camera and upgrade the link speed */

int cam_init(GtkWidget *widget, gpointer *data);

